unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, IdBaseComponent, IdComponent, IdTCPConnection, IdTCPClient, HGG,
  StdCtrls, ExtCtrls, Grids, ValEdit;

type
  TForm1 = class(TForm)
    HGG1: THGG;
    Button1: TButton;
    PlStatus: TPanel;
    Button2: TButton;
    Memo1: TMemo;
    TmpEdit: TEdit;
    Label1: TLabel;
    Command: TValueListEditor;
    Edit1: TEdit;
    Edit2: TEdit;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    SaveDialog1: TSaveDialog;
    OpenDialog1: TOpenDialog;
    procedure HGG1Message(Sender: TObject; GGNumber: Integer;
      MessageContent: String; MessageTime: TDateTime);
    procedure Button1Click(Sender: TObject);
    procedure HGG1Connected(Sender: TObject);
    procedure HGG1Disconnected(Sender: TObject);
     procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure CommandKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}






procedure TForm1.Button1Click(Sender: TObject);
begin
  try
    hgg1.Number  := 10798447;
    hgg1.Password  := 'polska';
    HGG1.Host := HGG1.GetServerAddress;
    hgg1.Status:=usAvailable;
    hgg1.connect;
  except
    ShowMessage('Wystpi bd');
    hgg1.Disconnect;
  end;
end;

procedure TForm1.HGG1Connected(Sender: TObject);
begin
  PlStatus.Color := clLime;
  PlStatus.Caption :='Poczony';
  hgg1.Description :='Bot Gadu-Gadu';
end;

procedure TForm1.HGG1Disconnected(Sender: TObject);
begin
  PlStatus.Color := clRed;
  PlStatus.Caption :='Niepoczony';
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 hgg1.disconnect;
end;

procedure TForm1.HGG1Message(Sender: TObject; GGNumber: Integer;
  MessageContent: String; MessageTime: TDateTime);
var
  Reply : string;
  Row : integer;
begin
 Memo1.Lines.Add('['+DateToStr(MessageTime)+']('+IntToStr(GGNumber)+') '+MessageContent);
 TmpEdit.Text := MessageContent;
    Command.FindRow(TmpEdit.Text,  Row);

 if  Row = -1 then
  Reply := 'Nie ma u nas takiej komendy' else
 begin
  Reply := Command.Values[Edit1.Text];
 end;

  HGG1.SendMessage(GGNumber, Reply, []);
end;


procedure TForm1.FormCreate(Sender: TObject);
begin
PlStatus.Color := clRed;
PlStatus.Caption := 'Niepoczony';
TmpEdit.Hide;
Memo1.Clear;
end;

procedure TForm1.Button3Click(Sender: TObject);
var
  RowNo : Integer;
begin
Command.FindRow(Edit1.Text, RowNo);
   if  RowNo = -1 then
Command.InsertRow(Edit1.Text, Edit2.Text, true)
else
ShowMessage('Jest ju taka komenda w rzdzie '+IntToStr( RowNo))
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
      hgg1.disconnect;
end;

procedure TForm1.CommandKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Integer(Key)=46  then
    begin
        if MessageBox(Handle,PChar('Czy napewno usun komend '+Command.Strings[Command.Selection.Top -1]+' ?'),
            'Usuwanie', MB_YESNO + MB_ICONQUESTION) = IdYes then
              begin
                Command.DeleteRow(Command.Selection.Top);
              end;

      end;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
SaveDialog1.FileName := 'GaduGaduBot';
if SaveDialog1.Execute then
begin
 Command.Strings.SaveToFile(SaveDialog1.FileName + '.ggb');
end;



end;

procedure TForm1.Button5Click(Sender: TObject);
begin
OpenDialog1.Filter :='GaduGadu Bot (*.ggb)|*.ggb';
if OpenDialog1.Execute then begin
Command.Strings.LoadFromFile(OpenDialog1.FileName);
end;
end;

end.
